
set(SRC_FILES ${SRC_FILES} 
    ./profinet/profinet.cpp
    ./profinet/profinet_slot.cpp
    ./profinet/profinet_subslot.cpp
    ./profinet/profinet_module.cpp
    ./profinet/profinet_submodule.cpp
    ./profinet/profinet_cb_alarm_ack_cnf.cpp
    ./profinet/profinet_cb_alarm_cnf.cpp
    ./profinet/profinet_cb_alarm_ind.cpp
    ./profinet/profinet_cb_ccontrol_ind.cpp
    ./profinet/profinet_cb_connect_ind.cpp
    ./profinet/profinet_cb_dcontrol_ind.cpp
    ./profinet/profinet_cb_exp_module_ind.cpp
    ./profinet/profinet_cb_exp_submodule_ind.cpp
    ./profinet/profinet_cb_new_data_status_ind.cpp
    ./profinet/profinet_cb_read_ind.cpp
    ./profinet/profinet_cb_release_ind.cpp
    ./profinet/profinet_cb_reset_ind.cpp
    ./profinet/profinet_cb_signal_led_ind.cpp
    ./profinet/profinet_cb_state_ind.cpp
    ./profinet/profinet_cb_write_ind.cpp
    )

set(INC_DIRS ${INC_DIRS} ./profinet)